org.apache.ignite.internal.util.typedef.internal

## Class A

- java.lang.Object
- - org.apache.ignite.internal.util.GridArgumentCheck
  - - org.apache.ignite.internal.util.typedef.internal.A

    public class A
    extends GridArgumentCheck

Defines internal `typedef` for `GridArgumentCheck`. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended for internal use only and meant to provide for more terse code when readability of code is not compromised.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.util.GridArgumentCheck

`NULL_MSG_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`A()`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.util.GridArgumentCheck

`ensure, notEmpty, notEmpty, notEmpty, notNull, notNull, notNull, notNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### A

    public A()

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015